<?php

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$ip = $_SERVER['REMOTE_ADDR'];
include_once 'SxGeo.php';
$SxGeo = new SxGeo('SxGeoCity.dat');
$city = $SxGeo->getCity($ip); // возвращает с краткой информацией, без названия региона и временной зоны
$countryid = $SxGeo->getCountryId($ip); //возвращает номер страны
$country = $SxGeo->getCountry($ip); // возвращает двухзначный ISO-код страны
$region = $SxGeo->getCityFull($ip); // возвращает Область


if (mysql_result(mysql_query("SELECT COUNT(*) FROM `geo` WHERE `id_user` = '$user[id]'"), 0) == 0){
mysql_query("INSERT INTO `geo` (`id_user`, `country`, `region`, `city`, `ip`, `code`, `time`) values('$user[id]', '".($region['country']['name_ru'])."', '".($region['region']['name_ru'])."', '".($city['city']['name_ru'])."', '".htmlspecialchars($_SERVER['REMOTE_ADDR'])."', '".($countryid)."', '$time')");
$_SESSION['message'] = 'Ваши геоданные успешно зафиксированы';
header("Location: /index.php");
}else{
mysql_query("UPDATE `geo` SET `country` = '".($region['country']['name_ru'])."', `region` = '".($region['region']['name_ru'])."', `city` = '".($region['city']['name_ru'])."', `ip` = '".htmlspecialchars($_SERVER['REMOTE_ADDR'])."', `code` = '".($countryid)."', `time` = '$time' WHERE `id_user`='".$user['id']."'");
$_SESSION['message'] = 'Ваши геоданные успешно обновлены';
header("Location: /index.php");    
}

?>